#include "device_factory.hh"
#include "profile_manager.hh"
#include "device_manager.hh"

//#include "ether_device.hh"
#include "wlan_device.hh"
#include "ppp_device.hh"

void DeviceFactory::CreateSystemDevices (DeviceManager* d_manager, ProfileManager* p_manager)
{
  unsigned int system_device_count = p_manager -> Devices ().size ();
  for (unsigned int i = 0; i < system_device_count; i++) {
    ProfileManager::device_id id = p_manager -> Devices ()[i];
    EtherDev* info = p_manager -> getInfo (i);
    if (info) {
      if (info -> wireless)
	d_manager -> AppendDevice ( new WlanDevice (id.c_str (), d_manager, p_manager) );
      else
	d_manager -> AppendDevice ( new EtherDevice (id.c_str (), d_manager, p_manager) );
    } else
      d_manager -> AppendDevice ( new PPPDevice (id.c_str (), d_manager, p_manager) );
  }
  d_manager -> StatesChanged ();
}
