#include "device.hh"
#include "device_list.hh"
#include "device_manager.hh"
#include <iostream>

DeviceList::DeviceList (QWidget* parent, DeviceManager* manager)
  : SymbolListWidget (parent, 0, SymbolListWidget::IconList)
{
  m_manager = manager;
}


QVBox* DeviceList::newBoxForDevice (Device* dev)
{
  return addVBoxPage (dev -> GetName (),
		      dev -> GetTitle (),
		      *(dev -> GetEnabledPicture ()),
		      *(dev -> GetDisabledPicture ()));    
}


void DeviceList::StatesChanged ()
{
  std::vector <Device*>& devices = m_manager -> devices;
  for (unsigned int i = 0; i < devices.size(); i++) {
    IconListItem* item = getIconListItem (i);
    if (item) {
      item -> setEnabled (devices[i] -> isEnabled ());
    }
    else
      std::cerr << "no item number " << i << " in the device list" << std::endl;  
  }
  
  update ();
  // HACK: without this, the icon of the hilighted item does not
  // change immediately
  // TODO: make up a better solution (without the flickering around)
  /*
  int current = activePageIndex (); 
  showPage ( (current+1) % devices.size () );
  showPage (current);
  */
  updateView ();
}
