#include <krestrictedline.h>
#include <qlabel.h>
#include <klocale.h>
#include <qvbox.h>
#include <qlayout.h>

#include "profilename_dialog.hh"

ProfileNameDialog::ProfileNameDialog (QWidget* parent)
  : KDialogBase (parent, 0, true, i18n ("New profile name"), Ok|Cancel)
{
  QWidget *page = new QWidget( this );
  setMainWidget(page);
  QVBoxLayout *topLayout = new QVBoxLayout( page, 0, spacingHint() );

  QLabel* label = new QLabel (page);
  label -> setText (i18n("Please enter profile name consisting of letters and numbers exclusively (no whitespace allowed!)"));
  topLayout->addWidget( label );

  line = new KRestrictedLine (page, 0, "1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz");
  line -> setMinimumWidth(fontMetrics().maxWidth()*20);
  topLayout->addWidget( line );

  topLayout->addStretch(10);
}

QString ProfileNameDialog::Content ()
{
  return line -> text ();
}

void ProfileNameDialog::SetProposal (const QString& p)
{
  line -> setText (p);
}
