#include <qbuttongroup.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <klineedit.h>

#include "network_config.hh"

class WirelessTab : public QButtonGroup
{
  Q_OBJECT
public:
  WirelessTab (QWidget* parent, network_config::WirelessSubsection* subsection);

  QComboBox* mode;
  QSpinBox* channel;
  KLineEdit* essid;
  KLineEdit* key;

  QLabel* mode_label;
  QLabel* channel_label;
  QCheckBox* essid_check;
  QCheckBox* key_check;

  void NewConfig (network_config::WirelessSubsection* subsection);

public slots:
  void setMode (int index);
  void setChannel (int new_channel);
  void setEssid (const QString& new_id);
  void setKey (const QString& new_pass);
  void enableEssid (bool state);
  void enableKey (bool state);

private:
  network_config::WirelessSubsection* config;
};
