#include "wlan_device.hh"
#include "wireless_tab.hh"
#include "wireless_status.hh"
#include "pixmaps.hh"


WlanDevice::WlanDevice  (const QString& interface, DeviceManager* device_manager, ProfileManager* profile_manager)
  : EtherDevice (interface, device_manager, profile_manager)
{
  suffix = " wireless adapter";
  //  delete enabled;
  // delete disabled;

  enabled = ::GetWireless (true);
  disabled = ::GetWireless (false);
  w_tab = 0;
}

QWidget* WlanDevice::CreateStatus (QWidget* parent)
{
  status = new WirelessStatus (parent, iface.ascii ());
  status -> SetActive (false);
  return status;
}

void WlanDevice::BuildContent (QVBox* box)
{
  EtherDevice::BuildContent (box);

  w_tab = new WirelessTab (main_tab, config -> GetWirelessSubsection ());    
  main_tab -> addTab (w_tab, "Wireless");
}

void WlanDevice::RefreshContent ()
{
  w_tab -> NewConfig (config -> GetWirelessSubsection ());
  EtherDevice::RefreshContent ();
}

void WlanDevice::EnabledToggled ()
{
  EtherDevice::EnabledToggled ();
  main_tab -> setTabEnabled (w_tab, config -> Enabled ());
}

void WlanDevice::ActiveToggled (bool state)
{
  std::cout << "showing up wireless status for " << GetName () << std::endl;
  setVisible (state);
  status -> SetActive (state);
}
